TwoDpfold_vars Struct Reference

Variables compound for 2Dfold partition function folding. More...

Collaboration diagram for TwoDpfold_vars:
[legend]

## Data Fields

char * | ptype
| Precomputed array of pair types.
char * | sequence
| The input sequence.
short * | S1
| The input sequences in numeric form.
unsigned int | maxD1
| Maximum allowed base pair distance to first reference.
unsigned int | maxD2
| Maximum allowed base pair distance to second reference.
int * | my_iindx
| Index for moving in quadratic distancy dimensions.
int * | jindx
| Index for moving in the triangular matrix qm1.
unsigned int * | referenceBPs1
| Matrix containing number of basepairs of reference structure1 in interval [i,j].
unsigned int * | referenceBPs2
| Matrix containing number of basepairs of reference structure2 in interval [i,j].
unsigned int * | bpdist
| Matrix containing base pair distance of reference structure 1 and 2 on interval [i,j].
unsigned int * | mm1
| Maximum matching matrix, reference struct 1 disallowed.
unsigned int * | mm2
| Maximum matching matrix, reference struct 2 disallowed.

## Detailed Description

Variables compound for 2Dfold partition function folding.

Deprecated:
  This data structure will be removed from the library soon! Use vrna_fold_compound_t and the corresponding functions vrna_fold_compound_TwoD(), vrna_pf_TwoD(), and vrna_fold_compound_free() instead!

The documentation for this struct was generated from the following file:

- ViennaRNA/2Dpfold.h